Page MenuHomePhabricator

Only show the feedback link on Special:Block to users who can access the page
Closed, ResolvedPublic1 Story Points

Description

The feedback link currently displays to anyone visiting the page, even if they don't have permission to view it:

We should only show it to people who have access.

Event Timeline

Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptApr 10 2019, 6:10 PM
Niharika triaged this task as Normal priority.May 2 2019, 6:21 PM
Niharika updated the task description. (Show Details)
Niharika set the point value for this task to 3.

Change 514629 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/WikimediaMessages@master] Remove Special:Block feedback link for those who don't have access

https://gerrit.wikimedia.org/r/514629

Tchanders moved this task from Ready to Review on the Anti-Harassment (Lāmed - ל) board.

Change 514629 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Remove Special:Block feedback link for those who don't have access

https://gerrit.wikimedia.org/r/514629

dom_walden added a subscriber: dom_walden.

I don't see the link when I am an anonymous user or a non-admin user. I do when I am logged in as an admin.

I neither situation do I see errors in the browser console, so I assume nothing else broke.

I notice that I do see the link if I am an admin user who is blocked, even though being blocked means I cannot use Special:Block. I am assuming this is not a major problem.

Tchanders removed the point value for this task.Jun 12 2019, 2:00 PM

I notice that I do see the link if I am an admin user who is blocked, even though being blocked means I cannot use Special:Block. I am assuming this is not a major problem.

Hmm, that was unintentional, but might be a bit messy to correct. It wouldn't be as simple as checking for a block, because there are cases where a blocked admin should be able to access Special:Block (e.g. T208965, T150826). So to make sure people can see the feedback link iff they can access the blocking form, we'd have to keep up with those and any other cases in the WikimediaMessages hook. I agree it might be preferable to live with this small inconsistency.

Tchanders set the point value for this task to 1.Jun 12 2019, 2:18 PM

(Didn't mean to remove the points value there, but since I did, replacing with something more accurate...)

Niharika closed this task as Resolved.Jun 12 2019, 9:41 PM
Niharika added a subscriber: Niharika.

I agree that's an edge case we can live with.